<template>
  <div>
    <el-button @click="visible = true">测试</el-button>
    <el-button @click="visible1 = true">相似项查询</el-button>
    <el-button @click="visible3 = true">批量导入</el-button>
    <el-button @click="visible2 = true">附件管理dialog</el-button>
    <FormTemplateDialog
      :visible.sync="visible"
      :type="type"
      :templateOid="templateOid"
      :codeClassifyOid="codeClassifyOid"
      :codeRuleOid="codeRuleOid"
      :disabledProp="disabledProp"
      :rowOid="rowOid"
      @submit="submit"
    ></FormTemplateDialog>
    <ResembleQueryDialog
      :visible.sync="visible1"
      :type="type"
      :templateOid="templateOid"
      :codeClassifyOid="codeClassifyOid"
      :rowOid="rowOid"
      :codeRuleOid="codeRuleOid"
    ></ResembleQueryDialog>
    <BatchImport
      :visible="visible3"
      type="historyImport"
      :downloadTemplateFun="downloadTemplateFun"
    ></BatchImport>
    <fileInHtml :options="{}"></fileInHtml>
    <fileinDialog
      :visible="visible2"
      :options="{}"
      @close="visible2 = false"
    ></fileinDialog>
  </div>
</template>

<script>
import ResembleQueryDialog from "@/components/FormTemplate/ResembleQueryDialog.vue";
import fileInHtml from "@/components/file/inHtml.vue";
import fileinDialog from "@/components/file/inDialog.vue";
import BatchImport from "@/components/BatchImport";
export default {
  name: "FormTempalteTest",
  components: { ResembleQueryDialog, fileInHtml, fileinDialog, BatchImport },
  data() {
    return {
      visible: false,
      visible1: false,
      visible2: false,
      visible3: false,
      // 默认禁用的表元素
      disabledProp: ["id", "lcstatus"],
      // 表单类型
      type: "edit",
      templateOid: "f441b131-5ea0-4672-ab74-735b11161928",
      codeClassifyOid: "4524E801-6CC6-92E8-1AC3-2AB9604E8F96",
      codeRuleOid: "B95872A6-9CEA-D490-8F1B-9D26548CAF96",
      rowOid: "551FBA49-9A94-2F83-9126-9DD4F9BB14B5",
    };
  },
  methods: {
    submit(data) {
      console.log(data);
    },
    downloadTemplateFun() {
      
    }
  },
};
</script>
